org.eclipse.graphiti.features.impl

## Class AbstractAddShapeFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.AbstractAddFeature
    - - org.eclipse.graphiti.features.impl.AbstractAddPictogramElementFeature
      - - org.eclipse.graphiti.features.impl.AbstractAddShapeFeature

All Implemented Interfaces:
  IAddFeature, IFeature, IFeatureProviderHolder, IAdd, IDescription, IName

    public abstract class AbstractAddShapeFeature
    extends AbstractAddPictogramElementFeature

The Class AbstractAddShapeFeature. Add feature especially for pictogram elements.

### Constructor Summary

Constructors
Constructor and Description
`AbstractAddShapeFeature(IFeatureProvider fp)` Creates a new `AbstractAddShapeFeature`.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractAddFeature

`canExecute, execute, getName`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`canUndo, getDescription, getFeatureProvider, hasDoneChanges, isAvailable, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.func.IAdd

`add, canAdd`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### AbstractAddShapeFeature

    public AbstractAddShapeFeature(IFeatureProvider fp)

Creates a new `AbstractAddShapeFeature`.

Parameters:
  `fp` - the fp